/* --------------------- sticky header css --------------------- */
.top-bar {
    position: relative;
    width: 100%;
    z-index: 1030;
    background-color: #264188;
    color: #fff;
    transition: transform 0.85s cubic-bezier(0.4, 0.08, 0.27, 1.01);
    height: 38px;
  }


  .main-header {
    position: sticky;
    top: 0;
    z-index: 1020;
    background: #fff;
    box-shadow: 0 2px 24px rgba(0, 0, 0, 0.04);
    transition: background 0.4s, box-shadow 0.18s;
  }

  .main-header.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1025;
  }

  .top-bar.hide {
    transform: translateY(-100%);
  }


  @media (max-width: 991px) {
    .main-header {
      position: static;
      box-shadow: none;
    }
  }

  .scroll-animate {
    opacity: 1;
    transform: translateY(60px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
  }

  .scroll-animate.in-view {
    opacity: 1;
    transform: translateY(0);
  }

/* ------------------------------------------ */


.parent-top {
  display: flex;
  justify-content: space-between;
}


.top-link {
  /* margin-top: 5px; */

  margin-top: 8px;
  color: #ffffff;
  /* font-size: 14px; */
  font-size: 11px;
  font-weight: 500;
  margin-left: 20px;
  text-decoration: none;
  border-radius: 4px;
  border: 1.5px solid #fce422;
  padding: 2px 12px
}

.main-navbar {
  background-color: #ffffff;
  border-bottom: 1px solid #1f2353;
  padding: 1px 0;
  position: sticky;
  top: 38px;
  z-index: 1020;
  box-shadow: 0 2px 24px rgba(0, 0, 0, 0.04);
  transition: background 0.4s, box-shadow 0.18s;
}

/* Logo Wrapper */
.header-logo {
  display: flex;
  align-items: center;
}

/* Navbar brand */
.main-navbar .navbar-brand {
  max-width: 425px;
  padding: 0;
}

/* Logo image */
.main-navbar .logo {
  width: 100%;
  height: auto;
  max-height: 110px;
  object-fit: contain;
}


.programmes-dropdown {
  border: none;
  padding: 8px 0;
  min-width: 230px;
  border-radius: 6px;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.12);

}

.nav-link:focus,
.nav-link:hover {
  color: white;
}

.programmes-dropdown .dropdown-item {
  padding: 10px 18px;
  font-size: 14px;
  font-weight: 500;
  color: #333;
  transition: all 0.3s ease;
  border-top: 1px solid #aaaaaa;
}

.nav-item.dropdown:hover>.dropdown-menu {
  display: block;
}

.programmes-dropdown .dropdown-item:hover {
  background-color: #264188;
  color: #fff;
  padding-left: 22px;
}

.programmes-dropdown .dropdown-item:active {
  background-color: #264188;
  color: #fff;
}

.nav-item.dropdown:hover .bi-chevron-down {
  transform: rotate(180deg);
  transition: transform 0.3s ease;
}





/* mobile menu overlay */
@media (max-width: 991.98px) {

  .main-navbar {
    position: relative;
    z-index: 1000;
  }

  .main-navbar .navbar-collapse {
    position: absolute;
    top: 100%;
    width: 100%;
    background: #fff;
    padding: 15px 0;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  }

}




/* .main-navbar .container {
  padding-left: 0;
} */

.navbar-brand {
  margin-left: 0;
}

.collapse {
  height: 36px;
  width: 845px;
  padding-left: 4px;
}

.brand-text span {
  line-height: 1.2;
  display: inline-block;
  border-bottom: 2px solid #555;
  margin-bottom: 3px;

}

.menu-links .nav-link {
  font-size: 14px;
  font-weight: 500;
  color: #003366;
  padding: 0 12px;
}

.menu-links .nav-link:hover {
  color: #FCE422;
}

.brand-subtitle {
  display: block;
  margin-top: -2px;
  font-size: 7px;
  font-weight: 500;
  color: #555;
  line-height: 1.1;
  letter-spacing: 0.0px;
}

.hero-section {
  background: linear-gradient(rgba(16, 28, 78, 0.2),
      rgba(16, 28, 78, 0.2)),
    url('images/hero2.png') center/cover no-repeat;
  padding: 10px 0;

}

.welcome-badge {
  background-color: #FCE422;
  color: #222457;
  font-size: 19px;
  border-radius: 4px;
  display: flex;
  margin-bottom: 15px;
  font-weight: 600;
  width: 162px;
  height: 28px;
  justify-content: center;
  align-items: center;
}

.hero-title {
  font-size: 42px;
  font-weight: bold;
  line-height: 1.3;
  font-size: 60px;
}

.apply-wrapper {
  padding-left: 171px;

}


/* APPLY CARD */
.apply-card {
  background-color: #fae422;
  padding: 16px 18px;
  border-radius: 12px;
  width: 100%;
  max-width: 280px;
  margin-left: auto;
  border: 2px solid #fca822;
}

.apply-title {
  text-align: center;
  font-weight: 700;
  margin-bottom: 15px;
  color: #101c4e;
}

/* .section-title h3{
  margin: 0px;
  white-space: nowrap;
 } */

.apply-card .form-control {
  font-size: 13px;
  border-radius: 4px;
  background-color: #ffffff !important;
  color: #000000;
  border: 1px solid #000;
  padding: 5px 10px;
}

.apply-card .form-control::placeholder {
  color: #000;
  opacity: 1;
}

.apply-btn {
  background-color: rgb(38, 65, 136);
  color: #fff;
  font-weight: 600;
  border-radius: 5px;
  padding: 5px 10px;
  border: none;
}

.apply-btn:hover {
  /* background-color: #000; */
  background-color: rgb(38, 65, 136);
  color: #fff;
}


@media (max-width: 991px) {
  .apply-card {
    max-width: 100%;
    margin: auto;
  }
}

@media (max-width: 576px) {
  .apply-card {
    padding: 18px;
  }

  .apply-card .form-control {
    font-size: 13px;
  }

  .apply-btn {
    font-size: 14px;
  }
}




/* three conatiner */

/* section*/
.programs-section {
  background-color: #ffffff;
  padding: 30px 0px;
}

/* title  */
.section-title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.section-title h3 {
  font-size: 24px;
  font-weight: 700;
  color: #222457;
  margin: 8px;
}

.section-title .line {
  width: 430px;
  height: 2.5px;
  background-color: #222457;

}

/* card */
.program-card {
  background-color: #243e84;
  color: #ffffff;
  padding: 30px;
  border-radius: 10px;
  text-align: center;
  height: 100%;
  transition: transform 0.3s ease;
}

.program-card:hover {
  transform: translateY(-8px);
}

/* icon */
.program-card .icon {
  font-size: 45px;
  color: #fff7a8;
  margin-bottom: 15px;
}

/* title */
.program-card h5 {
  color: #fffdb3;
  font-weight: 700;
  margin-bottom: 15px;
}

/* text */
.program-card p {
  font-size: 14px;
  line-height: 1.6;
}


/* last 3ed section */


.about-dsose-section {
  margin-bottom: 30px;
  /* width: 1287px;
    height: 444px; */
}

.dsose-wrapper {
  /* height: 346px;
  width: 1270px; */
  border: 3px solid white;
  padding: 10px;
  background: #fff;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
}



/* QUICK LINKS */


.quick-title {
  background: #ffeb3b;
  width: 260px;
  height: 43px;
  font-weight: 700;
  padding: 10px 20px;
  font-size: 18px;
  border-top: 1px solid #243e84;
  border-radius: 16px 16px 0 0;
  margin: 10px;
  display: inline-block;
}

/* BLINK EFFECT */
@keyframes blink {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0.3;
  }

  100% {
    opacity: 1;
  }
}



/* QUICK LINKS LIST */
.quick-links-list {
  list-style: none;
  margin: 0;
  padding: 0;
  width: 284px;
}

.quick-links-list li a {
  display: block;
  padding: 12px 16px 12px 28px;
  font-size: 14px;
  font-weight: 600;
  color: #1f2d5a;
  text-decoration: none;
  position: relative;
}


.quick-links-list li a::after {
  content: "";
  position: absolute;
  left: 16px;
  right: 15px;
  bottom: 0;
  height: 1px;
  background: #1f2d5a;
}

.quick-links-list li:last-child a::after {
  display: none;
}

/* CONTENT */
.about-content h2 {
  color: #243a8f;
  font-weight: 700;
  margin-bottom: 14px;
}

.about-content p {
  font-size: 14px;
  line-height: 1.4;
  color: #222;
  gap: 2px;
}

/* BUTTONS */
.about-buttons {
  /* padding-left: 60px; */
  margin-top: 40px;
  display: flex;
  gap: 35px;
  justify-content: center;
  /* margin-left: 80px; */

}

.about-btn {
  background-color: rgb(38 65 136);
  color: #fff;
  padding: 10px 32px;
  font-weight: 500;
  border-radius: 6px;
  text-decoration: none;
}

.about-btn a {
  text-decoration: none;
  color: #fff;
}

/* BLINK BUTTON */
.blink-btn {
  animation: blink 1.5s infinite;
}

/* .about-btn:hover {
  background: #121846;
} */



/* RESPONSIVE */
@media (max-width: 768px) {
  .about-buttons {
    flex-direction: column;
    gap: 20px;
  }
}








/* last 2nd section */

.footer-info-section {
  /* background-color: #23255b; */
  background-color: rgb(38 65 136);
  padding: 35px 0;
}

.footer-title {
  color: #ffd400;
  font-weight: 700;
  font-size: 14px;
  margin-bottom: 15px;
  text-transform: uppercase;
}

.footer-text {
  color: #ffd400;
  font-size: 13px;
  line-height: 1.7;
  text-align: justify;
}

.footer-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-list li {
  color: #ffd400;
  font-size: 13px;
  margin-bottom: 10px;
  position: relative;
  padding-left: 14px;

}




.footer-list li::before {
  content: "•";
  position: absolute;
  left: 0;
  color: #ffd400;
  font-size: 18px;
  line-height: 1;
}

.footer-info {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-info li {
  color: #ffd400;
  font-size: 13px;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  gap: 5px;
}


.footer-info i {
  font-size: 14px;
}

/* last fotter */
.copyright-bar {
  background-color: #ffd400;
  padding: 10px 0;
}

.copyright-bar p {
  margin: 0;
  font-size: 13px;
  font-weight: 600;
  color: #000;
}


.footer-list li a,
.footer-list li a:link,
.footer-list li a:visited,
.footer-list li a:hover,
.footer-list li a:active {
  color: #ffd400;
  text-decoration: none;
  font-size: 13px;
  gap: 8px;
}


.footer-info li a,
.footer-info li a:link,
.footer-info li a:visited,
.footer-info li a:hover,
.footer-info li a:active {
  color: #ffd400;
  text-decoration: none;
  font-size: 13px;
  display: inline-flex;
  align-items: center;
  gap: 8px;
}

/* Icon color fix */
.footer-contact li a i {
  color: #ffd400;
}



/*  drow line  */

/* NAVBAR DRAWN DIVIDER LINES */
.menu-links .nav-item {
  position: relative;
}

.menu-links .nav-item:not(:last-child)::after {
  content: "";

  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1px;
  height: 18px;
  background-color: #003366;
  /* same as menu text */
}



/* ================================================= */
/* MOBILE-FIRST RESPONSIVE FIX (NO DESIGN CHANGE) */
/* ================================================= */

/* ---------- TABLET & BELOW ---------- */
@media (max-width: 991px) {

  /* RESET ROW BEHAVIOR */
  .row {
    margin-left: 0;
    margin-right: 0;
  }

  /* NAVBAR */
  .main-navbar {
    padding: 8px 0;
  }

  .menu-links .nav-item::after {
    display: none;
  }

  .menu-links .nav-link {
    padding: 10px 0;
    display: block;
    text-align: center;
  }

  /* HERO SECTION */
  .hero-section {
    padding: 30px 15px;
    text-align: center;
  }



  .welcome-badge {
    margin: 0 auto 15px;
  }

  /* APPLY FORM */
  .apply-wrapper {
    padding-left: 0;
    margin-top: 25px;
    display: flex;
    justify-content: center;
  }

  .apply-card {
    width: 100%;
    max-width: 320px;
  }

  /* PROGRAM SECTION */
  .section-title {
    flex-direction: column;
    gap: 10px;
  }

  .section-title .line {
    width: 200px;
  }

  .program-card {
    margin-bottom: 20px;
  }

  /* ABOUT SECTION */
  /* .about-buttons {
    margin-left: 0;
    justify-content: center;
    gap: 20px;
  } */

}

/* ---------- MOBILE (VERTICAL PERFECT STACK) ---------- */
@media (max-width: 767px) {

  /* TOP HEADER */
  .top-header {
    text-align: center;
  }

  .top-link {
    display: inline-block;
    margin: 5px;
  }

  /* LOGO & BRAND */
  .navbar-brand {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .logo {
    margin-right: 0;
    margin-bottom: 6px;
  }

  .brand-text {
    font-size: 16px;
  }

  .brand-subtitle {
    font-size: 8px;
  }



  /* APPLY CARD */
  .apply-card {
    padding: 20px;
  }

  /* PROGRAM CARDS */
  .program-card {
    padding: 20px;
  }

  /* QUICK LINKS */
  .quick-links-box {
    margin-bottom: 20px;
  }

  /* ABOUT CONTENT */
  .about-content h3 {
    text-align: center;
  }

  .about-content p {
    text-align: justify;
  }

  /* FOOTER */
  .footer-info-section {
    text-align: left;
    padding: 25px 15px;
  }

  .footer-title {
    margin-top: 20px;
  }
}

/* ---------- SMALL MOBILE ---------- */
@media (max-width: 480px) {


  .welcome-badge {
    width: auto;
    padding: 4px 12px;
    font-size: 14px;
  }

  .program-card .icon {
    font-size: 34px;
  }

  .about-btn {
    width: 100%;
    text-align: center;
  }

  .copyright-bar p {
    font-size: 11px;
    text-align: center;
  }
}

